Bug 144018 - Boot hangs on start of iptables
Boot hangs on start of iptables
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: iptables (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-03 14:59 EST by Jon R. Kibler
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-10 05:31:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This variation of iptables configuration causes the system to hang on boot (1.37 KB, text/plain)
2005-01-03 15:02 EST, Jon R. Kibler
no flags Details
This variation of iptables configuration has worked for years w/o problems (1.29 KB, text/plain)
2005-01-03 15:03 EST, Jon R. Kibler
no flags Details

  None (edit)
Description Jon R. Kibler 2005-01-03 14:59:38 EST
Description of problem:

Have been using iptables as a host-based firewall for some time. Made
a minor mod to open access to internal network. Now, system
consistently hangs during boot when setting up this new iptable
configuration.

Version-Release number of selected component (if applicable):
iptables v1.2.9
kernel: 2.6.9-1.6_FC2 or 2.6.5-1.358

How reproducible:
100% reproducible. Note: kernel has specified: acpi=off netprofile=XXX

Steps to Reproduce:
1. Configure iptables as per attachment.
2. Reboot
3. System hangs
  
Actual results:
system hangs

Expected results:
system boots

Additional info:
Once the system has booted, I can manually configure iptables and the
configuration works. I can also start and stop iptables however many
times I like using the saved tables that hang at boot. To work around
the problem, I simply disabled start of iptables at boot and mamually
start them whenever I reboot. I have done a verification of all system
packages, and everything checks ok.
Comment 1 Jon R. Kibler 2005-01-03 15:02:27 EST
Created attachment 109270 [details]
This variation of iptables configuration causes the system to hang on boot
Comment 2 Jon R. Kibler 2005-01-03 15:03:42 EST
Created attachment 109271 [details]
This variation of iptables configuration has worked for years w/o problems
Comment 3 Thomas Woerner 2005-01-10 05:31:04 EST
This can not work, you are dropping all traffic on lo.

Note You need to log in before you can comment on or make changes to this bug.